# class Treetop::Compiler::Nonterminal

### Public Instance Methods

compile(address, builder, parent_expression = nil) click to toggle source
Calls superclass method

    # File lib/treetop/compiler/node_classes/nonterminal.rb, line 4
    def compile(address, builder, parent_expression = nil)
      super
      use_vars :result
      assign_result text_value == 'super' ? 'super' : "_nt_#{text_value}"
      extend_result_with_declared_module
      extend_result_with_inline_module
    end